SDL_utf8strlen(3)

NAME
SDL_utf8strlen - Count the number of codepoints in a UTF-8 string.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

size_t SDL_utf8strlen(const char *str);

DESCRIPTION
Counts the _codepoints_, not _bytes_, in str , excluding the null terminator.

If you need to count the bytes in a string instead, consider using

SDL_strlen ().

Since this handles Unicode, it expects the strings to be well-formed UTF-8 and not a null-terminated string of arbitrary bytes. Bytes that are not valid UTF-8 are treated as Unicode character U+FFFD (REPLACEMENT CHARACTER), so a malformed or incomplete UTF-8 sequence might increase the count by several replacement characters.

FUNCTION PARAMETERS

str The null-terminated UTF-8 string to read. Must not be NULL.

RETURN VALUE
Returns The length (in codepoints, excluding the null terminator) of src .

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_utf8strnlen(3), •(3), SDL_strlen(3)